package uk.co.mrdw.photostopwatch;

import java.io.File;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.NavUtils;
import android.util.Log;
import android.view.MenuItem;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class ArchiveViewActivity  extends Activity {
	private static final String TAG = "ArchiveViewActivity";

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		Utils.initialiseStorageDirPath(this);
				
		setContentView(R.layout.archive_view);
		refreshList();
	}

	public void refreshList(){
		// load list of archives
		File[] archives = Utils.getArchiveFolders();
		Log.d(TAG,"refreshList found "+archives.length);

		Arrays.sort(archives);
		ArrayList<File> archivesList = new ArrayList<File>();
		archivesList.addAll(Arrays.asList(archives));
		Collections.reverse(archivesList);
		
		ArrayAdapter<File> adapter = new RaceListAdapter(this,archivesList);
		ListView savedResultsView = (ListView) findViewById(R.id.archive_list);
		savedResultsView.setAdapter(adapter);
		
	}
	
	@Override
	protected void onPause() {
		super.onPause();
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case android.R.id.home:
			NavUtils.navigateUpFromSameTask(this);
			return true;
		}
		return super.onOptionsItemSelected(item);
	}

	/** Called when user clicks timer button - goes to timer view */
	public void goToTimer(View view) {
		Intent intent = new Intent(this, TimerActivity.class);
		startActivity(intent);
	}

}