package uk.co.mrdw.photostopwatch;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.view.KeyEvent;

public class MediaButtonReceiver extends BroadcastReceiver {

	private TimerActivity timerActivity;
	
public MediaButtonReceiver(TimerActivity timerActivity) {
    super();
    this.timerActivity = timerActivity;
}

@Override
public void onReceive(Context context, Intent intent) {
    String intentAction = intent.getAction();
    if (!Intent.ACTION_MEDIA_BUTTON.equals(intentAction)) {
        return;
    }
    KeyEvent event = (KeyEvent)intent.getParcelableExtra(Intent.EXTRA_KEY_EVENT);
    if (event == null) {
        return;
    }
    int action = event.getAction();
    if ((action == KeyEvent.ACTION_DOWN)&&(event.getRepeatCount()==0 )) {
    	timerActivity.logTime();
    }
    abortBroadcast();
}

public TimerActivity getTimerActivity() {
	return timerActivity;
}

public void setTimerActivity(TimerActivity timerActivity) {
	this.timerActivity = timerActivity;
}



}