package uk.co.mrdw.photostopwatch;

import java.io.File;
import android.content.Context;
import android.media.MediaScannerConnection;
import android.media.MediaScannerConnection.MediaScannerConnectionClient;
import android.net.Uri;
/**
 * http://stackoverflow.com/questions/4646913/android-how-to-use-mediascannerconnection-scanfile
 * 
 * Allows updating image gallery before ADK 8
 * 
 * @author Mike
 *
 */
public class SingleMediaScanner implements MediaScannerConnectionClient {

	private MediaScannerConnection mMs;
	private File mFile;

	
	public static void scanFile(Context context, File f){
		new SingleMediaScanner(context, f);
	}
	
	public SingleMediaScanner(Context context, File f) {
		mFile = f;
		mMs = new MediaScannerConnection(context, this);
		mMs.connect();
	}

	@Override
	public void onMediaScannerConnected() {
		mMs.scanFile(mFile.getAbsolutePath(), null);
	}

	@Override
	public void onScanCompleted(String path, Uri uri) {
		mMs.disconnect();
	}

}